# $Revision: 1.5 $, $Date: 2001/04/23 16:27:13 $
Summary:	Temporary package to provide hugelatex (latex with increased capacities)
Summary(pl):	Tymczasowy pakiet, ktry zawiera hugelatex (latexa o zwikszonych moliwociach)
Name:		hugelatex
Version:	0
Release:	3
License:	GPL
Group:		Applications/Publishing/SGML
Group(de):	Applikationen/Publizieren/SGML
Group(pl):	Aplikacje/Publikowanie/SGML
#Source0:	
BuildRequires:	tetex >= 0.9
BuildRequires:	tetex-latex >= 0.9
%requires_eq	tetex
%requires_eq	tetex-latex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	tetex >= 1.0.7-2, tetex-latex >= 1.0.7-2

%description
Temporary package to provide hugelatex

%description -l pl
Tymczasowy pakiet zawierajcy hugelatex.

#%prep
#%setup -q -n jadetex
#%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/texmf/web2c,%{_bindir}}

cp %{_datadir}/texmf/tex/latex/config/* $RPM_BUILD_ROOT/
(cd $RPM_BUILD_ROOT; tex -ini -progname=hugelatex latex.ini)
cp $RPM_BUILD_ROOT/latex.fmt $RPM_BUILD_ROOT/%{_datadir}/texmf/web2c/%{name}.fmt
ln -s %{_bindir}/tex $RPM_BUILD_ROOT%{_bindir}/%{name}

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 1>&2

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 1>&2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/texmf/web2c/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: hugelatex.spec,v $
Revision 1.5  2001/04/23 16:27:13  kloczek
- release 3: rebuild for regenerate Requires.

Revision 1.4  2001/04/07 15:12:28  kloczek
- spec adapterized and come additional cleanups.

Revision 1.3  2001/04/06 13:47:05  wiget
use %%require_eq for tetex (*.fmt files are not compatible across versions of teTeX);release 2

Revision 1.2  2000/07/12 15:19:30  arturs
- added %description -l pl

Revision 1.1  2000/06/09 15:32:21  klakier
- temporaruy package needed to build jadetex
